﻿#bh_pricing_table {
    --tw-prose-body: var(--secondary-text-color-light) !important;
}

    #bh_pricing_table *,
    #bh_pricing_table ::before,
    #bh_pricing_table ::after {
        box-sizing: border-box;
        border-width: 0;
        border-style: solid;
        border-color: #ffffff;
    }

    #bh_pricing_table .sr-only {
        display: none;
    }

    #bh_pricing_table .bh_frequency_switcher {
        display: flex;
        flex-direction: row;
        justify-content: center;
        margin-bottom: 4rem;
    }

        #bh_pricing_table .bh_frequency_switcher fieldset {
            display: grid;
            grid-template-columns: repeat(2, minmax(0, 1fr));
            box-shadow: inset 0 0 0 0px #fff, inset 0 0 0 1px #e5e7eb, 0 0 rgba(0, 0, 0, 0);
            line-height: 1.25rem;
            font-weight: 600;
            font-size: 0.75rem;
            text-align: center;
            padding: 0.25rem;
            border-radius: 9999px;
            column-gap: 0.25rem;
        }

            #bh_pricing_table .bh_frequency_switcher fieldset label {
                cursor: pointer;
                padding-top: 0.25rem;
                padding-bottom: 0.25rem;
                padding-left: 0.625rem;
                padding-right: 0.625rem;
                border-radius: 9999px;
            }

    #bh_pricing_table .bh_plans {
        display: grid;
        gap: 4rem;
        isolation: isolate;
        margin: auto 0;
    }

        #bh_pricing_table .bh_plans .bh_plan .bh_name {
            font-weight: 600;
            line-height: 1.75rem;
            color: var(--secondary-text-color-light);
            font-size: 1rem;
        }

        #bh_pricing_table .bh_plans .bh_plan .bh_badge {
            box-sizing: border-box;
            border-width: 0;
            border-style: solid;
            border-color: #ffffff;
            --tw-text-opacity: 1;
            line-height: 1.25rem;
            font-weight: 600;
            font-size: 0.75rem;
            line-height: 1rem;
            padding-top: 0.25rem;
            padding-bottom: 0.25rem;
            padding-left: 0.625rem;
            padding-right: 0.625rem;
            border-radius: 9999px;
            background-color: var(--brand-color-light);
            color: var(--text-color-light);
        }

        #bh_pricing_table .bh_plans .bh_plan .bh_price {
            display: flex;
            flex-direction: row;
            column-gap: 0.25rem;
            align-items: baseline;
            margin-top: 1.5rem;
        }

            #bh_pricing_table .bh_plans .bh_plan .bh_price .bh_amount, #bh_pricing_table .bh_plans .bh_plan .bh_price .bh_amount_breakdown {
                color: var(--secondary-text-color-light);
                font-weight: 700;
                font-size: 3rem;
                line-height: 1;
                letter-spacing: -0.025rem;
            }

            #bh_pricing_table .bh_plans .bh_plan .bh_price .bh_interval, #bh_pricing_table .bh_plans .bh_plan .bh_price .bh_interval_breakdown {
                line-height: 1.5rem;
                color: var(--secondary-text-color-light);
                font-size: 0.875rem;
                font-weight: 600;
            }

        #bh_pricing_table .bh_plans .bh_plan .bh_button {
            width: 100%;
            color: white;
            line-height: 1.5rem;
            font-weight: 600;
            font-size: 0.875rem;
            text-align: center;
            padding-top: 0.5rem;
            padding-bottom: 0.5rem;
            padding-left: 0.75rem;
            padding-right: 0.75rem;
            background-color: var(--brand-color-light);
            color: var(--text-color-light);
            border-radius: 0.375rem;
            display: block;
            margin-top: 2.5rem;
            text-decoration: inherit;
        }

            #bh_pricing_table .bh_plans .bh_plan .bh_button.bh_current {
                background-color: transparent;
                border: 1px solid var(--brand-color-light);
                color: var(--brand-color-light);
            }

            #bh_pricing_table .bh_plans .bh_plan .bh_button:hover {
                filter: brightness(85%);
            }

        #bh_pricing_table .bh_plans .bh_plan .bh_description {
            margin-top: 1.5rem;
            line-height: 1.5rem;
            color: var(--secondary-text-color-light);
        }

        #bh_pricing_table .bh_plans .bh_plan .bh_features {
            color: var(--secondary-text-color-light);
            line-height: 1.5rem;
            margin-top: 0.875rem;
            font-size: 0.875rem;
            list-style: none;
            padding: 0;
            display: block;
        }

            #bh_pricing_table .bh_plans .bh_plan .bh_features .bh_feature {
                display: flex;
                flex-direction: row;
                align-items: center;
                column-gap: 0.75rem;
            }

                #bh_pricing_table .bh_plans .bh_plan .bh_features .bh_feature p {
                    margin: 0 !important;
                }

                #bh_pricing_table .bh_plans .bh_plan .bh_features .bh_feature .bh_icon {
                    width: 1.25rem;
                    height: 1.5rem;
                    flex: none;
                    color: var(--secondary-text-color-light);
                }

                #bh_pricing_table .bh_plans .bh_plan .bh_features .bh_feature a {
                    text-decoration: underline;
                }

    #bh_pricing_table input#monthly:checked ~ .bh_frequency_switcher fieldset label.bh_monthly_label {
        background-color: var(--brand-color-light);
        color: white;
    }

    #bh_pricing_table input#monthly:checked ~ .bh_plans .bh_plan .bh_annual {
        display: none;
    }

    #bh_pricing_table input#monthly:checked ~ .bh_plans .bh_plan .bh_annual {
        display: none;
    }

    #bh_pricing_table input#annual:checked ~ .bh_frequency_switcher fieldset label.bh_annual_label {
        background-color: var(--brand-color-light);
        color: white;
    }

    #bh_pricing_table input#annual:checked ~ .bh_plans .bh_plan .bh_monthly {
        display: none;
    }

    #bh_pricing_table input#annual:checked ~ .bh_plans .bh_plan .bh_monthly {
        display: none;
    }

@media (min-width: 1024px) {
    #bh_pricing_table .bh_plans_1 {
        grid-template-columns: repeat(1, minmax(0, 1fr));
    }

    #bh_pricing_table .bh_plans_2 {
        grid-template-columns: repeat(2, minmax(0, 1fr));
    }

    #bh_pricing_table .bh_plans_3 {
        grid-template-columns: repeat(3, minmax(0, 1fr));
    }

    #bh_pricing_table .bh_plans_4 {
        grid-template-columns: repeat(4, minmax(0, 1fr));
    }
}

.dark #bh_pricing_table {
    color: white;
    --tw-prose-body: var(--secondary-text-color-dark) !important;
}

    .dark #bh_pricing_table *, .dark #bh_pricing_table ::before, .dark #bh_pricing_table ::after {
        border-color: var(--brand-color-dark);
    }

    .dark #bh_pricing_table .bh_plans .bh_plan .bh_name {
        color: var(--secondary-text-color-dark);
    }

    .dark #bh_pricing_table .bh_plans .bh_plan .bh_price .bh_amount, .dark #bh_pricing_table .bh_plans .bh_plan .bh_price .bh_amount_breakdown {
        color: var(--secondary-text-color-dark);
    }

    .dark #bh_pricing_table .bh_plans .bh_plan .bh_price .bh_interval, .dark #bh_pricing_table .bh_plans .bh_plan .bh_price .bh_interval_breakdown {
        color: var(--secondary-text-color-dark);
    }

    .dark #bh_pricing_table .bh_plans .bh_plan .bh_button {
        color: black;
        background-color: var(--brand-color-dark);
        color: var(--text-color-dark);
    }

        .dark #bh_pricing_table .bh_plans .bh_plan .bh_button.bh_current {
            background-color: transparent;
            border-color: var(--brand-color-dark);
            color: var(--brand-color-dark);
        }

    .dark #bh_pricing_table .bh_plans .bh_plan .bh_description {
        color: var(--secondary-text-color-dark);
    }

    .dark #bh_pricing_table .bh_plans .bh_plan .bh_features {
        color: var(--secondary-text-color-dark);
    }

        .dark #bh_pricing_table .bh_plans .bh_plan .bh_features .bh_feature .bh_icon {
            color: var(--secondary-text-color-dark);
        }

    .dark #bh_pricing_table input#monthly:checked ~ .bh_frequency_switcher fieldset label.bh_monthly_label {
        background-color: var(--brand-color-dark);
        color: black;
    }

    .dark #bh_pricing_table input#annual:checked ~ .bh_frequency_switcher fieldset label.bh_annual_label {
        background-color: var(--brand-color-dark);
        color: black;
    }

@media (prefers-color-scheme: dark) {
    #bh_pricing_table.enableDarkMode {
        color: white;
        --tw-prose-body: var(--secondary-text-color-dark) !important;
    }

        #bh_pricing_table.enableDarkMode *, #bh_pricing_table.enableDarkMode ::before, #bh_pricing_table.enableDarkMode ::after {
            border-color: var(--brand-color-dark);
        }

        #bh_pricing_table.enableDarkMode .bh_plans .bh_plan .bh_name {
            color: var(--secondary-text-color-dark);
        }

        #bh_pricing_table.enableDarkMode .bh_plans .bh_plan .bh_price .bh_amount, #bh_pricing_table.enableDarkMode .bh_plans .bh_plan .bh_price .bh_amount_breakdown {
            color: var(--secondary-text-color-dark);
        }

        #bh_pricing_table.enableDarkMode .bh_plans .bh_plan .bh_price .bh_interval, #bh_pricing_table.enableDarkMode .bh_plans .bh_plan .bh_price .bh_interval_breakdown {
            color: var(--secondary-text-color-dark);
        }

        #bh_pricing_table.enableDarkMode .bh_plans .bh_plan .bh_button {
            color: black;
            background-color: var(--brand-color-dark);
            color: var(--text-color-dark);
        }

            #bh_pricing_table.enableDarkMode .bh_plans .bh_plan .bh_button.bh_current {
                background-color: transparent;
                border-color: var(--brand-color-dark);
                color: var(--brand-color-dark);
            }

        #bh_pricing_table.enableDarkMode .bh_plans .bh_plan .bh_description {
            color: var(--secondary-text-color-dark);
        }

        #bh_pricing_table.enableDarkMode .bh_plans .bh_plan .bh_features {
            color: var(--secondary-text-color-dark);
        }

            #bh_pricing_table.enableDarkMode .bh_plans .bh_plan .bh_features .bh_feature .bh_icon {
                color: var(--secondary-text-color-dark);
            }

        #bh_pricing_table.enableDarkMode input#monthly:checked ~ .bh_frequency_switcher fieldset label.bh_monthly_label {
            background-color: var(--brand-color-dark);
            color: black;
        }

        #bh_pricing_table.enableDarkMode input#annual:checked ~ .bh_frequency_switcher fieldset label.bh_annual_label {
            background-color: var(--brand-color-dark);
            color: black;
        }
}
